#include "mb.h"

/* Stub routine for the sysop version. This contains various routine and
variable definitions that are not used by the sysop version but which are
easier to define in here than to try to #ifdef out of all the routines
they occur in. For example passchar, vhfstream and hfstream are only used
if the port in use is the tnc. SYSOP can't possibly be set to the tnc port
and so these variables are never accessed.

*/
char passchr = 0, hfstream = 0, vhfstream = 0;
short BaudRate,tapr_flag,all_number,interflag;
char *fwdfile;    /* forward file name --- not used but have to define it */
/* From mbinit and mbterm */
char *talkm1,*talkm2,*talkm3,*talkm4;

/* Routines that aren't required any more.
   SOme of them are called from mb.c and it is easier to add them as a
   null stub here than to to try to maintain another variation on the
   routine that is already full of #ifdef's
*/
initser()
{
   return(0);
}
chkdis()
{
   return(0);
}
findfwd()
{
   return(0);
}
cleanser(){}
cmdtnc(){}
convtnc(){}
onetnc(){}
term(){}
tncstate(){}
trantnc(){}
islink(){}
logina(){}
distnc(){}
alltnc(){}
bldfwd(){}
markdis(){}
/* Pieces of commands that are taken from files that have been removed */

/* All that's left of mbtnc is the login process */

login()
{
  register PORTS *p;
  register char *i;

  readmsg();
  readusr();

  p = port;

  p->lport = cport;
  cport->lport = p;
  p->errors = 0;
  p->msg    = NULL;
  p->cmdcnt = 0;
  p->flags clrbit p_opreq;
  p->ec = p->ecuser;

/*
 *  Prepare to check if this user can indeed connect.
 */

   p->mode = local;
   rduser(p->user->call, p->user);
   unbl(p->line, p->user->call, ln_call);
   log('C', 'S', ' ', p->line);
}

fwdcmd()
{
   port->msg = mwhat;
   port->errors++;
}
utalk()
{
   port->msg = mwhat;
   port->errors++;
}
lterm()
{
   port->msg = mwhat;
   port->errors++;
}
sfwd()
{
   port->msg = mwhat;
   port->errors++;
}
newfwd()
{
   port->msg = mwhat;
   port->errors++;
}
